W32API.HANDLE
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class W32API.HANDLE

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.W32API.HANDLE

All Implemented Interfaces:
  com.sun.jna.NativeMapped

Direct Known Subclasses:
  User32.HHOOK, W32API.HBITMAP, W32API.HDC, W32API.HICON, W32API.HINSTANCE, W32API.HRGN, W32API.HWND, WinReg.HKEY

Enclosing interface:
  W32API

    public static class W32API.HANDLE

extends com.sun.jna.PointerType

Constructor Summary
`W32API.HANDLE()`
`W32API.HANDLE(com.sun.jna.Pointer p)`

Method Summary
`java.lang.Object` | `fromNative(java.lang.Object nativeValue, com.sun.jna.FromNativeContext context)` Override to the appropriate object for INVALID_HANDLE_VALUE.
`void` | `setPointer(com.sun.jna.Pointer p)`

Methods inherited from class com.sun.jna.PointerType
`equals, getPointer, hashCode, nativeType, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### W32API.HANDLE

    public W32API.HANDLE()

### W32API.HANDLE

    public W32API.HANDLE(com.sun.jna.Pointer p)

Method Detail

### fromNative

    public java.lang.Object fromNative(java.lang.Object nativeValue,
                                       com.sun.jna.FromNativeContext context)

  Override to the appropriate object for INVALID_HANDLE_VALUE.

  Specified by:
    `fromNative` in interface `com.sun.jna.NativeMapped`
  Overrides:
    `fromNative` in class `com.sun.jna.PointerType`

### setPointer

    public void setPointer(com.sun.jna.Pointer p)

  Overrides:
    `setPointer` in class `com.sun.jna.PointerType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD